commit 0850f7412142f7d0a8353b5f82deb66746d2e1d3
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Mar 21 13:24:51 2013 +0000

    [*] complete migration from molecule.git, fix Makefile and tests

commit 1870e31dbf7be858fa2879d382133bc08fe00155
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Mar 21 12:49:13 2013 +0000

    [plugins] move the plugins directory to plugins/

commit c1a61d142e5f69221afc5986442517907786407c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Mar 21 12:44:25 2013 +0000

    [Makefile] drop removed subdirs from Makefile

commit 199008826e981f8a35a00aea65c7967ed8b98f9f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Mar 21 12:43:13 2013 +0000

    [Makefile] Drop molecule-core stuff

commit 676210d325705165a71e8953a84fce7edffd1cc1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Mar 21 12:40:16 2013 +0000

    [scripts] update tag-version.sh

commit 3f843f280ae5648042727d02e8a26753bc470924
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Mar 21 11:44:09 2013 +0000

    [tests.parsers] fix tests

commit d9b117d4ee15c18f0ba065bc4d2250018c263809
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Feb 12 12:13:00 2013 +0100

    Tagging Molecule version 0.9.24.8

commit 427fb42b573f9fbe3f63f7600d27ea2a896fe3c1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Jan 5 09:57:59 2013 +0000

    Tagging Molecule version 0.9.24.7

commit 2b041d53fc143f7993a24690cfd6ff0facaf3625
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Sep 11 16:02:08 2012 +0200

    Tagging Molecule version 0.9.24.6

commit 88ccd2ff0f6127406450f0a7f4ae2852dbda5e6d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Sep 11 15:57:46 2012 +0200

    [specs/remaster] add support for extra_mksquashfs_parameters (was not exposed)

commit 687db64fb4a8526a1bcf0f610a529757cd51c886
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Sep 10 14:40:27 2012 +0200

    Tagging Molecule version 0.9.24.5

commit 1f2d8c83991cb1501595c7b9603ea6b4e173b2ae
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 9 18:25:21 2012 +0200

    Tagging Molecule version 0.9.24.4

commit 53c93612f72ac3c7256598efb71648b7ff2627d6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Sep 5 13:54:24 2012 +0200

    Tagging Molecule version 0.9.24.3

commit e812b56a6ec7a927d9477f21da61355a56713dbd
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Sep 5 13:52:50 2012 +0200

    [molecule/builtin] improve rsync usage in execution_strategy="livecd" code

commit 1e5eb1b71586eacaf19c475da7fae5673cfa4908
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Aug 1 16:04:02 2012 +0200

    Tagging Molecule version 0.9.24.2

commit ef4919cedbafe8e24d6cc0fb0532569ff6eaca1d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Aug 1 15:45:39 2012 +0200

    Tagging Molecule version 0.9.24.1

commit 1f6f480a772d3226fbd90ed68ecc1799bc5be66b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jul 25 16:32:50 2012 +0200

    Tagging Molecule version 0.9.24

commit d3cd33823d6e0bd86fc1a0a021263b2120463c62
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 27 23:35:46 2012 +0100

    Tagging Molecule version 0.9.23.4

commit 3e543393bf3dc4ac65e4d3d24ebc8d852b53c3c0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 27 23:35:14 2012 +0100

    [molecule] mmc_plugin: fix syntax

commit dc6266c64d1b8180c09ef4cdc374c043caea4b26
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 27 23:23:44 2012 +0100

    Tagging Molecule version 0.9.23.3

commit b5edfefeac50c91f4fad0d93928e8adcb4f9dc87
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 27 23:23:00 2012 +0100

    [molecule] mmc_plugin: add support for packages_to_add and packages_to_remove

commit af8486d1e9fe9552993bc7cad3f38cd2c0c6c85c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 29 17:25:47 2011 +0100

    Tagging Molecule version 0.9.23.2

commit 5a468530f7bd3cdab383e5ca193d5ab26e61d76a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 29 17:25:23 2011 +0100

    [plugins/mmc] export DESTINATION_IMAGE_DIR and IMAGE_NAME

commit bc48430712e05ae6fdc29a8146a7e4119cc74c22
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 29 17:11:57 2011 +0100

    Tagging Molecule version 0.9.23.1

commit e1033d1d343b362988ca954f8fd55831486d3ef5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 29 17:11:24 2011 +0100

    [plugins/mmc] always export CHROOT_DIR when it makes sense

commit 6b417bf5d8e3e930deba10b4740a9d64ebaaf0db
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 29 08:37:17 2011 +0100

    Tagging Molecule version 0.9.23

commit 01ce85065979629b6aa0ee53cc6c581d8d47e3ef
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 29 08:36:46 2011 +0100

    [specs/mmc] add source chroot script hooks support

commit 7b37742a3b81af3c1493f36a76af5688918dc4d2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 28 17:27:29 2011 +0100

    Tagging Molecule version 0.9.22

commit dadeb8a0ed8f4f36af024f1253a86f94326e0b17
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 28 17:26:57 2011 +0100

    [plugins/mmc] add MMC image generator plugin

commit f9f13c2d16e8dc98e7f066e1f82f3a83b7ce67f5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 4 14:18:14 2011 +0200

    [scripts] update tag-version.sh tarball info

commit cdf0849d5ac9020f2ffebe938b43617e8a6181e4
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 4 14:16:35 2011 +0200

    Tagging Molecule version 0.9.21

commit 7081598073cbf6233fbca30dd3deba7cf962e309
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 4 11:52:02 2011 +0200

    [molecule] rewrite molecule.utils.exec_cmd() to not use shell=True
    
    The following changes were required code-wide:
    - use shlex.split() to split commands read from spec files
    - use glob.glob() where required
    - write command splitter function and make use of it instead of
      simple string splitter

commit c2b0edc8d25271ef4fc3fbfa1c271bc26e73b835
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 21 14:32:31 2011 +0200

    [molecule] add .gitattributes file, excluding the test suite from archive for now

commit b6f28fd7a4289f78159704a9063f94b4f25d6b03
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jul 21 13:57:04 2011 +0200

    Tagging Molecule version 0.9.20.7

commit 0816ea2ed64dd697523e06f0268bfddd4df0d2c4
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jul 21 13:56:03 2011 +0200

    [molecule.specs] always make sure to kill processes running inside chroots if failing

commit 5e3dbe32bc30c63ddc331f1cec446e05b238c689
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jul 20 23:54:46 2011 +0200

    Tagging Molecule version 0.9.20.6

commit c8ca3c64482b5657325b5730844799db3cced31b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jul 20 23:53:39 2011 +0200

    [molecule] image_plugin: fix chroot copy to mounted image file

commit 5a2dad06e3357f5d768478244d8a5116ec2adac0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 18 16:29:52 2010 +0100

    Tagging Molecule version 0.9.20.5

commit be0a4ce4e4dbd361f1e71435db7ae258aeb41224
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 18 16:08:25 2010 +0100

    Tagging Molecule version 0.9.20.4

commit 4418e0765a009f081c3840741046147ea1ead05c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 18 16:07:05 2010 +0100

    [molecule*] beautify output, make molecule.settings contain only utf strings

commit 90e24ebf87ed46e4fd5f0662f7a7a8fb0047b57d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 18 16:06:52 2010 +0100

    [tests] fix tests

commit 01c6023a64120549befdff6b7e8130a9f79f1d96
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 10 13:56:23 2010 +0100

    [molecule.specs.plugins] handle improper usage of merge_livecd_root and report to user

commit fc0cad77541faedbc0bed5e9dbae716f058e713a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Nov 11 19:18:08 2010 +0100

    [molecule] add support for MOLECULE_TMPDIR environment variable (defaulting to /var/tmp), so that user can override it

commit 5172dacaae0b89331787074790cc2e85ee6310aa
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Oct 15 12:28:19 2010 +0200

    Tagging Molecule version 0.9.20.3

commit 5325a75d2e232025f1c3eb6594a2ba95df68d8b7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Oct 15 12:27:24 2010 +0200

    [molecule.specs.plugins] also parse execution_strategy, avoid it getting pulled in in other parameters

commit dc4beb2322ad2acd6f27dc912b040ac8c2d74a44
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Aug 26 21:24:46 2010 +0200

    Tagging Molecule version 0.9.20.2

commit d2cb8a7be99fe37d3d1ce12f77d960768057b3cc
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Aug 26 21:21:23 2010 +0200

    [molecule.specs.plugins] TarHandler: always cleanup chroot temp directory

commit a1732680e5be1896d95e5b010b1660af11112c94
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Aug 13 17:53:15 2010 +0200

    [tests] fix typo in parsers module

commit d1d0040d377ab476f551958147484bebb7901b73
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Aug 13 15:24:22 2010 +0200

    [tests] add unit tests for .spec parsers

commit 845d3538fabb8adfd003624e8f07aca2608c8e6a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Aug 12 22:40:16 2010 +0200

    [tests] add initial unit tests

commit fbe82785b4f01909d105aca273b07c63e915699c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Aug 11 11:24:13 2010 +0200

    Tagging Molecule version 0.9.20.1

commit 42cdf1878a1a867b0cc578561fe323bc3a094685
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Aug 11 11:23:43 2010 +0200

    [molecule.specs.plugins.image_plugin] improve loop device removal logic

commit d5d06f5b743c9a4a53c06d4eeba84ce41a27c418
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Aug 10 19:07:43 2010 +0200

    Tagging Molecule version 0.9.20

commit 3c97a48769be0304f30ba644fd15e94171e696e0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 23:50:02 2010 +0200

    [molecule.specs.plugins] image_plugin: save one function call by calling os.urandom() directly

commit 30f92089561973e9234e4261f1da31c9e42421f4
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 23:41:57 2010 +0200

    [molecule.specs.plugins] introduce iso_to_image plugin.
    
    This plugin allows to build filesystem images (user can define the
    filesystem type) off an ISO image.

commit fb9b3ac849d2cb216efdd4b49d877f57d0ec1a72
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 23:40:00 2010 +0200

    [molecule.specs.plugins.remaster] warn if something in IsoUnpackHandler.kill() fails

commit 9909fd87e54c1277338478eb62f0bb74da0dde5a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 18:36:46 2010 +0200

    [molecule.specs.plugins] use molecule.utils.mkdtemp()

commit de981401446f384e8be824b6046636394e84bd7f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 18:32:50 2010 +0200

    [molecule.specs] make possible to subclass IsoUnpackerHandler easily

commit f18893b8525ed541730d1e42c71b68fc7ed542e7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 16:11:44 2010 +0200

    [molecule.specs] improve hooks execution reliability, do not taint application environment with hooks specific stuff

commit 7726993bc1b664acf2e77b1ff2159e0b74453e3d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 15:45:28 2010 +0200

    [molecule.specs.plugins] properly use molecule.utils.exec_chroot_cmd()

commit ef6b56e0775169ce420b11408b0552dbdf075252
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 15:21:02 2010 +0200

    [molecule.plugins] safely using mkstemp()

commit c8b646416bd7fb510a1794dcf72556a3e751c5b5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Aug 8 15:08:02 2010 +0200

    [molecule.specs.plugins] always return int from GenericExecutionStep.setup()

commit 438c9273f39dca34879a912340b84984f4abf387
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jul 23 11:13:08 2010 +0200

    Tagging Molecule version 0.9.12

commit e4601724cc1fcbcd9e243078269338a11680a85d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jul 23 11:11:56 2010 +0200

    [molecule.specs.plugins.tar_plugin] add "pre_tar_script" and "post_tar_script" parameters support (see example)

commit 9bae550d92e09edabd9210bb5bd5828d4bc1585e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jul 23 11:11:37 2010 +0200

    [molecule.specs.builtin_plugin] trivial comment update

commit f56ab86add280d8c968ebb183ac946a128ab1c61
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jul 23 10:49:16 2010 +0200

    Tagging Molecule version 0.9.11.2

commit fd49d15dd27211e49b3588babb096d9b500fd23c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jul 23 10:41:03 2010 +0200

    [molecule.specs.plugins] BuiltinHandlerMixin._exec_inner_script: rework in-chroot exec files handling

commit 701b73c6aaa78b00cc623fe879b8b5465fc28d19
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jul 22 13:55:51 2010 +0200

    Tagging Molecule version 0.9.11.1

commit c49b687b595a7494c3cb74c9032cddc848471ee4
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jul 21 01:56:47 2010 +0200

    Tagging Molecule version 0.9.11

commit e2da495fb936c12369b9ca03c6fe432cc5b3639c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jul 21 01:55:46 2010 +0200

    [molecule.specs.plugins.tar_plugin] generate .md5 for created tar file

commit 00ea5c1fcd7ae5d6ceb0ce337d37cf2c53ee1a94
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jul 21 01:53:01 2010 +0200

    [molecule.specs.plugins.tar_plugin] add inner_chroot_script_after support

commit 21dde402fde20847ec8963ba240420eed6483741
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jul 15 16:55:20 2010 +0200

    Tagging Molecule version 0.9.10.20

commit 398818f581ff965cfeb8554b11e4612a632f4255
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jul 15 16:50:28 2010 +0200

    [molecule.specs.plugins.tar_plugin] make "tar_name" parameter working, remove unused "merge_livecd_root"

commit e7b932a4fe87b9e58fb7f5ad1a5dcc0c89a53720
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Jul 12 16:29:58 2010 +0200

    Tagging Molecule version 0.9.10.11

commit b730a9edd3e91f627f029ee65e232f51d144f968
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Jul 12 09:52:44 2010 +0200

    Tagging Molecule version 0.9.10.10

commit d75106bdb28631b98e4628f83046d4783ab0b5e3
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Jul 12 09:51:15 2010 +0200

    [molecule.plugins] in remaster_plugin, tar_plugin add support for release_version, release_desc, release_string, release_file metadata

commit a9bfab480166c2c129bd54245c3e1aaaf2ab07d9
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jun 29 11:30:15 2010 +0200

    Tagging Molecule version 0.9.10.3

commit d29497819e0bae8a1ce8071939744338cf6a4a87
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jun 29 11:29:40 2010 +0200

    [Makefile] do not install Makefile to live-system thanks to ssuominen@gentoo.org for reporting

commit 18f502de4fff2d1cad57ffa87cd88a09b803d5db
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jun 29 11:09:44 2010 +0200

    Tagging Molecule version 0.9.10.2

commit abafa30a0c7ebb9ff15fcb0f7f2330ecabadfe76
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jun 29 11:03:11 2010 +0200

    Tagging Molecule version 0.9.10.1

commit ade4a6fe69359140e81fc4b85471746638ada2c6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jun 29 10:51:45 2010 +0200

    Tagging Molecule version 0.9.10

commit 3fb7e1f40dedc7c7a22853b439617c15f5134000
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jun 29 10:37:28 2010 +0200

    [molecule] improve Python 3.x support

commit f9d8fc87e714b7e884546cf3fdc162a4da6cff0b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Jun 28 07:34:48 2010 +0200

    Tagging Molecule version 0.9.6.3

commit f5f569a2f363c455ce373aac5f63e0034e414687
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Jun 28 07:34:27 2010 +0200

    [Makefile] use $(MAKE) instead of "make"

commit 7bfedacc6e1bddd5449fc864909c95ac495b3b02
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Jun 28 07:06:31 2010 +0200

    [scripts] append end of tagging message to tag-version.sh

commit 45657a2c01e17d71f57b97258ff1421763697ea1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jun 17 18:56:17 2010 +0200

    Tagging Molecule version 0.9.6.2

commit 7fa07e0c7a9baf7d5046ac6be8d00624b9984b67
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jun 17 18:56:04 2010 +0200

    Revert "[molecule] builtin_plugin: use shlex when calling mkisofs"
    
    This reverts commit 63515f0f52c5ff1244c584256b89baa5b6f0c816.

commit 9737475848663d6a3c277f222251660a1ff73f46
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jun 17 18:55:54 2010 +0200

    Revert "[molecule.specs.plugins] builtin_plugin: fix shlex usage"
    
    This reverts commit 334b64f8b26263b6cb419cc60ac923150323bc18.

commit b2ec77117a9eb7209de88800edd15308f32f63e9
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jun 17 18:52:06 2010 +0200

    Tagging Molecule version 0.9.6.1

commit be2dbfc24e086ac67c88a5c6aef849ba8698e4a3
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jun 17 18:51:47 2010 +0200

    [molecule.specs.plugins] builtin_plugin: fix shlex usage

commit 912b87bcf4e1169ae01f570aba62dee3a50def89
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jun 17 18:19:12 2010 +0200

    Tagging Molecule version 0.9.6

commit b69ca784a1a5e80777db621c5bad858374dbb927
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jun 17 18:18:23 2010 +0200

    [molecule.plugins] set ISO_PATH and ISO_CHECKSUM_PATH env vars before calling pre_iso_script

commit ddb0d895a7c5c3d124ccfa6d290626bb018b451f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Jun 5 12:03:48 2010 +0200

    [molecule] add post_iso_script hook support

commit de3adb9ab626f3402298efb2a3c0c3d08b192159
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jun 3 20:42:44 2010 +0200

    [molecule] builtin_plugin: use shlex when calling mkisofs

commit f381d4cc07ea3065f0429a1bbabb910344941146
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon May 24 20:27:33 2010 +0200

    Tagging Molecule version 0.9.5.1

commit 9c0fc436240da6e39cfda20dd6d22ba4928ca750
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon May 24 20:26:23 2010 +0200

    [molecule] remaster_plugin: fix directory leaking

commit 8f576798119db598f36f582f8f9304b9060a560f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat May 22 12:07:33 2010 +0200

    Tagging Molecule version 0.9.5

commit 8f9bfd189c3c48c12632843a928b93ce0ee09f76
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat May 22 12:07:02 2010 +0200

    [Makefile] fix molecule library install path

commit df687f7fcc4cdb5ed666bd6218501620154b8734
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 16 17:41:08 2010 +0200

    Tagging Molecule version 0.9

commit 6e222234fcc039919e421b8ac0de87806f3910cb
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 16 17:33:04 2010 +0200

    [molecule] implement real Molecule Plugin Factory and use it

commit 1e598296df6eb9f43ac27e2274ad4285a8524369
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 16 15:41:32 2010 +0200

    [git] update .gitignore

commit b782b4ac1ec30f77a71ef0c2e26b42e5460b297d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 16 15:40:50 2010 +0200

    [Makefile] add po/ dir to build system

commit 52b826370d0078dba7fe795b7f23d2ca366c8692
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 16 15:28:08 2010 +0200

    [molecule] add version tagging script, fix version handling

commit 01062c648a6199b2a2dd1295f39231308c19f63e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 16 14:46:16 2010 +0200

    [molecule] add Makefiles

commit c7fa91efe753769d9aa6198addec6c3732fd9b2d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat May 15 22:11:13 2010 +0200

    [molecule.output] port new code from Entropy (entropy.output)

commit 778fde77457047dbcd9ad21cace8a9805ddb8019
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 9 22:33:59 2010 +0200

    [molecule.specs.remaster] fix support for destination_iso_image_name, thanks to Joost Ruis for reporting

commit 6101420343b44ea6b764d3980436123250b8ab01
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 9 16:49:49 2010 +0200

    [molecule.specs.plugins.remaster] fix wrong arguments in _exec_inner_script call

commit 08ff63e55c2886bdc6c584f2871ba781f9b91eb0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Apr 22 22:12:42 2010 +0200

    [molecule.specs.builtin] fix _run_error_script()

commit 0a780e6704b8000e7f003d219d04ec9b00b1e7ab
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Apr 18 18:42:39 2010 +0200

    [molecule.specs.plugins.builtin] add support for inner_source_chroot_script
    
    inner_source_chroot_script hook can be used to permanently modify
    source chroots when using the standard execution strategy (chroot -> iso)

commit 81169c55193098a8052e9bd4d5f7ecd0d88abce8
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Apr 18 18:24:31 2010 +0200

    [molecule] implement arguments support for *_chroot_script_* statement.
    
    This commit improves the support to script hooks, making possible to pass
    arguments to them via .spec statements (outer_chroot_script, outer_chroot_script_after,
    inner_chroot_script, inner_chroot_script_after, pre_iso_script)

commit f20cd5f40fb68ef3d114973a4dac26f8bed0965d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Feb 15 11:28:04 2010 +0100

    [molecule] fix extra_rsync_parameters option handling

commit f005d55e31c986980a95166dd20e85af04180698
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Mon Dec 21 21:55:48 2009 +0100

    [molecule.specs] add error_script .spec file directive support

commit b7cfd0d088d13482f992e3d278d465b5ad8d17e2
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Fri Dec 18 10:25:30 2009 +0100

    [molecule.specs.remaster] fix custom_packages_add_cmd and custom_packages_remove_cmd support, thanks to Brian Tomlinson for reporting

commit 96ad4bfc8051205b98d1d4f259c1579f8c34bbec
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Mon Dec 14 10:45:50 2009 +0100

    [molecule.specs.plugin.remaster] add inner_chroot_script_after hook, to be executed after packages installation and removal

commit ac4ae92d97765bc8e5b9c859550f820ddcb2ee1e
Author: Fabio Erculiani <fabio@linux.local>
Date:   Sat Nov 21 23:44:46 2009 +0100

    [molecule] implement ISO to TAR handler

commit 7a16dd8281d7f93b0765961fab4a3a563e4663a5
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Wed Oct 28 20:41:14 2009 +0100

    [repo] add .gitignore

commit 33ac99f3028172a9f59188357678b3d565283320
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Tue Oct 27 21:09:26 2009 +0100

    [molecule] fix mkisofs title argument

commit 948d195b9fd624fec18a5191fc8bbd59eab93544
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Tue Oct 27 16:33:34 2009 +0100

    [molecule] improve ability to reimplement Handlers, add setup() method, fixup code accordingly

commit da373bd9b44392fa6795921ff6148216ff02550b
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Tue Oct 27 16:10:49 2009 +0100

    [molecule] add support for outer_chroot_script_after (to be executed after inner chroot script)

commit 352f96b2d7bc908f502a8e7cce367a1698a2ca52
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Tue Oct 27 10:57:58 2009 +0100

    [molecule] remaster plugin: do not remove/empty paths before hooks, always kill tmp dir

commit 08bd339bf415680241a187b07438914cb9f0eb61
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Tue Oct 27 10:35:45 2009 +0100

    [molecule] remaster plugin: run repo update hook before everything

commit 4b4ca6e88d22439acd8b713fa525eb04b0d6ff81
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Tue Oct 27 10:28:45 2009 +0100

    [molecule] remaster plugin: remove 'mod' key from parser data dicts, make possible to split packages_to_add/packages_to_remove using comma

commit 7ad96e64cb97f7099ac6238dccce86c100b0c11a
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Tue Oct 27 10:22:00 2009 +0100

    [molecule] remaster plugin: add support for paths_to_remove and paths_to_empty

commit fce1094295cb6860c57ff01c41f8cf66593269a1
Author: Fabio Erculiani <fabio.erculiani@itsme.it>
Date:   Tue Oct 27 10:16:09 2009 +0100

    [molecule] remaster plugin: run chroot hooks before packages handling

commit cf5478e0db5f7ff1d1cb6b7e5ae2791e4b4fa517
Author: Fabio Erculiani <fabio@linux.local>
Date:   Sun Oct 25 13:57:13 2009 +0100

    [molecule] complete support for easily remastering Sabayon ISO images

commit dc585ad3686d7086eaf488cf1bea4ceee02f0c9a
Author: Fabio Erculiani <fabio@linux-4.local>
Date:   Fri Oct 23 12:45:07 2009 +0200

    [molecule] move code to plugins, implement fuzzy iso_remaster plugin

commit 7c1f248a0b6f386db52365bbc16ad76ceeb39082
Merge: ab15f7b 7dd506a
Author: Fabio Erculiani <fabio@mars.(none)>
Date:   Tue Mar 24 16:56:28 2009 +0100

    Merge branch 'master' of git+ssh://sabayonlinux.org/home/git/projects/molecule

commit 7dd506ac4e2d668c4d07205f4f80daee8c3991c7
Author: Fabio Erculiani <fabio@mars.(none)>
Date:   Tue Mar 24 16:25:23 2009 +0100

    removed EMPTY

commit 09fec45cda8575d6025b92784b9baf34691d40c2
Author: Fabio Erculiani <fabio@mars.(none)>
Date:   Tue Mar 24 16:11:01 2009 +0100

    first commit

commit ab15f7bd07b96768404d7fa13700b4cb8fb2ddcf
Author: lxnay <lxnay@cd1c1023-2f26-0410-ae45-c471fc1f0318>
Date:   Sat Jan 31 21:57:47 2009 +0000

    Molecule:
    - first chunk of code
    - general infrastructure done
    - spec file parser done
    
    
    git-svn-id: http://svn.sabayonlinux.org/projects/molecule/trunk@2977 cd1c1023-2f26-0410-ae45-c471fc1f0318
